// SUNSPOT PASS 5 FS

 uniform sampler2D baseTexture;
 uniform sampler2D blendTexture;
  
 void main()
 {	
 	vec4 sample[2];
	
	sample[0] = vec4(texture2D(baseTexture, gl_TexCoord[0].st));
	sample[1] = vec4(texture2D(blendTexture, gl_TexCoord[0].st*2.0));	
	
	gl_FragColor = sample[0];
 }
 